fse.ws

## Class IGestoreConsenso

- java.lang.Object
- - fse.ws.IGestoreConsenso

-     public class IGestoreConsenso
      extends java.lang.Object

  Endpoint sulla PDD-ASL dei servizi esposti dalla componente FSE2-IGestoreConsenso (FSE)
  Version:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IGestoreConsenso()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blindDocument(java.lang.String patientCode, DocumentURI documentURI, java.lang.String documentOwner, java.lang.String documentType, boolean blindDocument)` Imposta lo stato di oscuramento su uno specifico documento del fascicolo
    `AccessPolicies` | `getAccessPolicies(java.lang.String patientCode)` Restituisce le politiche di accesso puntuale alla consultazione
    `Agreements` | `getAgreements(java.lang.String patientCode)` Restituisce i 3 stati attuali dei consensi sul fascicolo: alimentazione, consultazione, pregresso con le relative date e lo stato di accettazione dell'ultima informativa
    `java.lang.String` | `getAssistibileAna(java.lang.String patientCode)`
    `BlindStatus` | `getDocumentBlindStatus(java.lang.String patientCode, DocumentURI documentURI, java.lang.String documentOwner)` Metodo di ritorno dei valori dei consensi puntuali di oscuramento e maggior tutela per i soli documenti di cui un medico è autore.
    `java.lang.String` | `getPreviousAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso al pregresso sul fascicolo
    `java.lang.String` | `getReadingAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso alla consultazione sul fascicolo
    `java.lang.String` | `getWritingAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso all'alimentazione sul fascicolo
    `boolean` | `setAccessPolicies(java.lang.String patientCode, AccessPolicies accessPolicies)` Consente di settare le politiche di accesso puntuale alla consultazione
    `boolean` | `setAgreements(java.lang.String patientCode, Agreements agreements, java.lang.Boolean accettazione)` Imposta il consenso all'alimentazione e alla consultazione sul fascicolo dell'assitito
    `boolean` | `setChiusuraPianoECare(java.lang.String motivoChiusura, java.lang.String descAltraMotivazione)` Consente di non arruolare un assistito alla sperimentazione CarePuglia 3.0 oppure di chiudere un piano già attivo
    `boolean` | `setConsensoPianoECare(boolean consensoPianoECare)` Imposta il consenso alla sperimentazione di CarePuglia 3.0
    `boolean` | `setDisclosure(java.lang.String patientCode, boolean agreement)` Imposta l'accettazione dell'ultima informativa
    `boolean` | `setElencoAssistiti(java.util.List<java.lang.String> patientCode)` Comunica l'elenco degli assititi trasferiti in Puglia come regione di Assistenza.
    `boolean` | `setPreviousAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso al pregesso sul fascicolo dell'assitito
    `boolean` | `setReadingAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso alla consultazione sul fascicolo dell'assitito
    `boolean` | `setWritingAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso all'alimentazione sul fascicolo dell'assitito

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IGestoreConsenso

          public IGestoreConsenso()

  - ### Method Detail

    - #### setConsensoPianoECare

          public boolean setConsensoPianoECare(boolean consensoPianoECare)

      Imposta il consenso alla sperimentazione di CarePuglia 3.0
      Parameters:
        `consensoPianoECare` - il consenso al CarePuglia 3.0 . Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### setChiusuraPianoECare

          public boolean setChiusuraPianoECare(java.lang.String motivoChiusura,
                                               java.lang.String descAltraMotivazione)

      Consente di non arruolare un assistito alla sperimentazione CarePuglia 3.0 oppure di chiudere un piano già attivo
      Parameters:
        `motivoChiusura` - Motivo della chiusura della sperimentazione. Parametro obbligatorio.
        `descAltraMotivazione` - Descrizione altra motivazione di chiusura. Parametro facoltativo.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### setAccessPolicies

          public boolean setAccessPolicies(java.lang.String patientCode,
                                           AccessPolicies accessPolicies)

      Consente di settare le politiche di accesso puntuale alla consultazione
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `accessPolicies` - le politiche di accesso puntuale alla consultazione. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### getAccessPolicies

          public AccessPolicies getAccessPolicies(java.lang.String patientCode)

      Restituisce le politiche di accesso puntuale alla consultazione
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        le politiche di accesso puntuale impostate attualmente per l'assistito
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### setWritingAgreement

          public boolean setWritingAgreement(java.lang.String patientCode,
                                             boolean agreement)

      Imposta il consenso all'alimentazione sul fascicolo dell'assitito
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso all'alimentazione. Parametro obbligatorio .
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00207: Il consenso all'alimentazione risulta già espresso
        - FSE-00208: Il consenso all'alimentazione risulta già revocato

    - #### setReadingAgreement

          public boolean setReadingAgreement(java.lang.String patientCode,
                                             boolean agreement)

      Imposta il consenso alla consultazione sul fascicolo dell'assitito
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso alla consultazione. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00209: Il consenso alla consultazione risulta già espresso
        - FSE-00210: Il consenso alla consultazione risulta già revocato

    - #### setPreviousAgreement

          public boolean setPreviousAgreement(java.lang.String patientCode,
                                              boolean agreement)

      Imposta il consenso al pregesso sul fascicolo dell'assitito
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso al pregresso. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00236=Il consenso al pregresso risulta gia' revocato
        - FSE-00235 =Il consenso al pregresso risulta gia' espresso
        - FSE-00121 =L'assistito non ha espresso il consenso al pregresso per tale documento
        - FSE-00237 =Il consenso al pregresso non puo' essere espresso senza il consenso all'alimentazione
        - FSE-10005 =Il consenso al pregresso puo' essere revocato solo revocando il consenso all'alimentazione

    - #### getWritingAgreement

          public java.lang.String getWritingAgreement(java.lang.String patientCode)

      Restituisce lo stato attuale del consenso all'alimentazione sul fascicolo
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso all'alimentazione:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### getReadingAgreement

          public java.lang.String getReadingAgreement(java.lang.String patientCode)

      Restituisce lo stato attuale del consenso alla consultazione sul fascicolo
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso alla consultazione:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### getPreviousAgreement

          public java.lang.String getPreviousAgreement(java.lang.String patientCode)

      Restituisce lo stato attuale del consenso al pregresso sul fascicolo
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso al pregresso:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00236=Il consenso al pregresso risulta gia' revocato
        - FSE-00235 =Il consenso al pregresso risulta gia' espresso

    - #### getDocumentBlindStatus

          public BlindStatus getDocumentBlindStatus(java.lang.String patientCode,
                                                    DocumentURI documentURI,
                                                    java.lang.String documentOwner)

      Metodo di ritorno dei valori dei consensi puntuali di oscuramento e maggior tutela per i soli documenti di cui un medico è autore.
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `documentURI` - l'identificativo univoco del documento. Parametro obbligatorio.
        `documentOwner` - il codice fiscale del titolare del documento. Parametro obbligatorio.
      Returns:
        BlindStatus `BlindStatus`
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00219 Errore valorizzazione campo documentURI
        - FSE-00221 Errore valorizzazione campo documentOwner
        - FSE-00403: Permessi insufficienti: Operazione non consentita per l'operatore specificato.

    - #### blindDocument

          public boolean blindDocument(java.lang.String patientCode,
                                       DocumentURI documentURI,
                                       java.lang.String documentOwner,
                                       java.lang.String documentType,
                                       boolean blindDocument)

      Imposta lo stato di oscuramento su uno specifico documento del fascicolo
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `documentURI` - l'identificativo univoco del documento. Parametro obbligatorio.
        `documentOwner` - il codice fiscale del titolare del documento. Parametro obbligatorio.
        `documentType` - il tipo di documento. Parametro obbligatorio.
        `blindDocument` - indica se oscurare il documento `true` oscura, `false` revoca l'oscuramento. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00204: Il documento CDA risulta già oscurato
        - FSE-00205: Il documento CDA risulta già visibile
        - FSE-00206: Il documento CDA risulta già oscurato per maggior tutela

    - #### getAgreements

          public Agreements getAgreements(java.lang.String patientCode)

      Restituisce i 3 stati attuali dei consensi sul fascicolo: alimentazione, consultazione, pregresso con le relative date e lo stato di accettazione dell'ultima informativa
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        gli stati attuali dei consensi e informativa:
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### setDisclosure

          public boolean setDisclosure(java.lang.String patientCode,
                                       boolean agreement)

      Imposta l'accettazione dell'ultima informativa
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - l'accettazione dell'informativa impostato a true. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00236=Il consenso al pregresso risulta gia' revocato
        - FSE-00235 =Il consenso al pregresso risulta gia' espresso
        - FSE-00121 =L'assistito non ha espresso il consenso al pregresso per tale documento
        - FSE-00237 =Il consenso al pregresso non puo' essere espresso senza il consenso all'alimentazione
        - FSE-10005 =Il consenso al pregresso puo' essere revocato solo revocando il consenso all'alimentazione

    - #### getAssistibileAna

          public java.lang.String getAssistibileAna(java.lang.String patientCode)

    - #### setAgreements

          public boolean setAgreements(java.lang.String patientCode,
                                       Agreements agreements,
                                       java.lang.Boolean accettazione)

      Imposta il consenso all'alimentazione e alla consultazione sul fascicolo dell'assitito
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreements` - Deve contenere i soli consensi all'Alimentazione e alla Consultazione. Parametro obbligatorio.
        `accettazione` - accettazione di chiusura del PCP. Parametro facoltativo.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00207: Il consenso all'alimentazione risulta già espresso
        - FSE-00208: Il consenso all'alimentazione risulta già revocato
        - FSE-00209: Il consenso alla consultazione risulta già espresso
        - FSE-00210: Il consenso alla consultazione risulta già revocato

    - #### setElencoAssistiti

          public boolean setElencoAssistiti(java.util.List<java.lang.String> patientCode)

      Comunica l'elenco degli assititi trasferiti in Puglia come regione di Assistenza.
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException` - : errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido